#!/usr/bin/perl

use strict;

# Read objects directory.

if(!chdir("objects")){
    die "Can't change to objects directory.";
}

my @files = <*>;

`surv2ds --survey_name=TAO --start_ocnum=121 --end_ocnum=121`;

foreach my $file (@files) {
    print $file . "\n";
    if($file=~/\.fields$/){
#        `insertSyntheticFields $file`;
    }
    elsif($file=~/\.ssm$/){
        `insertSyntheticOrbits $file`;
    }
}



# Run the simulation.

`mopper`;

# Call the test runner against the tests in the rules directory.
if(!chdir("../rules")){
    die "Can't change to rules directory.";
}

# Run the Test Runner on each rule in the directory.
#`./evaluate-rules.sh`;
